---
lang: en
title: 'API docs: repository.objecttype'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.objecttype.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [ObjectType](./repository.objecttype.md)

## ObjectType class

Object type

<b>Signature:</b>

```typescript
export declare class ObjectType<T extends AnyObject> implements Type<T> 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(type)](./repository.objecttype._constructor_.md) |  | Constructs a new instance of the <code>ObjectType</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [name](./repository.objecttype.name.md) |  | <code>string</code> |  |
|  [type](./repository.objecttype.type.md) |  | <code>Class&lt;T&gt;</code> |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [coerce(value)](./repository.objecttype.coerce.md) |  |  |
|  [defaultValue()](./repository.objecttype.defaultvalue.md) |  |  |
|  [isCoercible(value)](./repository.objecttype.iscoercible.md) |  |  |
|  [isInstance(value)](./repository.objecttype.isinstance.md) |  |  |
|  [serialize(value)](./repository.objecttype.serialize.md) |  |  |


